<?php

/**
 * @file 
 * Provides default plugin class objects.
 * @author Tj Holowaychuk <http://vision-media.ca/> 
 * @package Editor
 */

/**
 * Default plugin classes.
 */
function editor_editor_plugin_classes() {
  $plugin_classes = array();
  
  $plugin_classes[] = editor_plugin_class_create('button', t('Button'), 'editor_button');
  $plugin_classes[] = editor_plugin_class_create('hidden', t('Hidden'), NULL);
  
  return $plugin_classes;
}

/**
 * Theme a button plugin class.
 * 
 * @param object $plugin
 * 
 * @return string
 *   Markup.
 */
function theme_editor_button($plugin) { 
  return '
      <div id="editor-' . $plugin->pid . '" class="editor-plugin editor-button">
      </div>
    ';
}